Subject: Re: linux-next: manual merge of the slab tree

From: Pekka Enberg <[email-masked]>
Date: Wed, 13 Aug 2008 10:10:47 +0300

Hi Stephen,

Stephen Rothwell wrote:
> You should *never* base anything on linux-next if it is to be included in
> linux-next.  What you should do is merge in Linus' latest tree (since
> that is the other side of the conflict, in this case) and you will get the
> same conflict and you can fix it in the merge that you do. Then tomorrow,
> I won't see the conflict when I do my merge of your updated tree.

OK, thanks! But what about kmemcheck then? We have conflicts there that 
won't be resolved until 2.6.28. Does this mean I should grab the 
kmemcheck patches to my tree now to fix them?